Overview
POST/integration/integration-bookmarksintegration

Create integration_bookmarks

Create a record in integration-bookmarks.

Auth: bearerAuth — calls run as the authenticated user.

Request body

application/json · optional

  • deletedAtoptionalstring?
  • ecosystemIdoptionalstring
  • connectionIdstring
  • externalIdstring
  • sourceProviderstring
  • titlestring
  • urlstring
  • excerptoptionalstring?
  • noteoptionalstring?
  • tagsoptionalstring?
  • imageUrloptionalstring?
  • collectionIdoptionalstring?
  • collectionNameoptionalstring?
  • isFavoriteoptionalboolean
  • isDeletedoptionalboolean
  • externalCreatedAtoptionalstring?
Example
{
  "deletedAt": "string",
  "ecosystemId": "string",
  "connectionId": "string",
  "externalId": "string",
  "sourceProvider": "string",
  "title": "string",
  "url": "string",
  "excerpt": "string",
  "note": "string",
  "tags": "string",
  "imageUrl": "string",
  "collectionId": "string",
  "collectionName": "string",
  "isFavorite": true,
  "isDeleted": true,
  "externalCreatedAt": "string"
}
Responses
201

integration_bookmarks

  • idstring
  • customerIdstring
  • deletedAtstring?
  • ecosystemIdstring
  • connectionIdstring
  • externalIdstring
  • sourceProviderstring
  • titlestring
  • urlstring
  • excerptstring?
  • notestring?
  • tagsstring?
  • imageUrlstring?
  • collectionIdstring?
  • collectionNamestring?
  • isFavoriteboolean
  • isDeletedboolean
  • syncVersioninteger
  • externalCreatedAtstring?
  • createdAtstring
  • updatedAtstring
Example
{
  "id": "string",
  "customerId": "string",
  "deletedAt": "string",
  "ecosystemId": "string",
  "connectionId": "string",
  "externalId": "string",
  "sourceProvider": "string",
  "title": "string",
  "url": "string",
  "excerpt": "string",
  "note": "string",
  "tags": "string",
  "imageUrl": "string",
  "collectionId": "string",
  "collectionName": "string",
  "isFavorite": true,
  "isDeleted": true,
  "syncVersion": 0,
  "externalCreatedAt": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
400

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/integration/integration-bookmarks" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "deletedAt": "string",
  "ecosystemId": "string",
  "connectionId": "string",
  "externalId": "string",
  "sourceProvider": "string",
  "title": "string",
  "url": "string",
  "excerpt": "string",
  "note": "string",
  "tags": "string",
  "imageUrl": "string",
  "collectionId": "string",
  "collectionName": "string",
  "isFavorite": true,
  "isDeleted": true,
  "externalCreatedAt": "string"
}'
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/integration/integration-bookmarks", {
  method: "POST",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json"
  },
  body: "{\n  \"deletedAt\": \"string\",\n  \"ecosystemId\": \"string\",\n  \"connectionId\": \"string\",\n  \"externalId\": \"string\",\n  \"sourceProvider\": \"string\",\n  \"title\": \"string\",\n  \"url\": \"string\",\n  \"excerpt\": \"string\",\n  \"note\": \"string\",\n  \"tags\": \"string\",\n  \"imageUrl\": \"string\",\n  \"collectionId\": \"string\",\n  \"collectionName\": \"string\",\n  \"isFavorite\": true,\n  \"isDeleted\": true,\n  \"externalCreatedAt\": \"string\"\n}",
});
const data = await res.json();